# Uses of Class
org.springframework.mock.web.MockHttpSession

Packages that use MockHttpSession
Package
Description
org.springframework.test.web.servlet.request
Contains built-in `RequestBuilder` implementations.

## Uses of MockHttpSession in org.springframework.test.web.servlet.request

Methods in org.springframework.test.web.servlet.request with parameters of type MockHttpSession
Modifier and Type
Method
Description
`B`
AbstractMockHttpServletRequestBuilder.`session(MockHttpSession session)`
Set the HTTP session to use, possibly re-used across requests.
`MockHttpServletRequestBuilder`
MockHttpServletRequestBuilder.`session(MockHttpSession session)`